Crazy Eddies GUI System: CEGUI::FalagardItemListbox Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes
CEGUI::FalagardItemListbox Class Reference

ItemListbox class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardItemListbox:
[legend]
Collaboration diagram for CEGUI::FalagardItemListbox:
[legend]

List of all members.

## Public Member Functions
| FalagardItemListbox (const String &type)
| Constructor.
void | render ()
| Populate render cache.
Rect | getItemRenderArea (void) const
| Return a Rect object describing, in un-clipped pixels, the window relative area that is to be used for rendering list items.
Rect | getUnclippedInnerRect () const
| Get unclipped inner rectangle that our window should return from its member function with the same name.
## Static Public Attributes
static const utf8 | TypeName []
| type name for this widget.
## Protected Member Functions
void | onLookNFeelAssigned ()
| Handler called when a Look'N'Feel is assigned to our window.
void | onLookNFeelUnassigned ()
| Handler called when a Look'N'Feel is removed/unassigned from our window.
## Protected Attributes
bool | d_widgetLookAssigned
| flag whether target window has looknfeel assigned yet.

## Detailed Description

ItemListbox class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States:

- Enabled
- Disabled

Named Areas: ItemRenderArea ItemRenderAreaHScroll ItemRenderAreaVScroll ItemRenderAreaHVScroll

## Member Function Documentation

Rect CEGUI::FalagardItemListbox::getItemRenderArea | ( | void |  | ) | const`[virtual]`

Return a Rect object describing, in un-clipped pixels, the window relative area that is to be used for rendering list items.

Returns:
  Rect object describing the window relative area of the that is to be used for rendering the items.

Implements CEGUI::ItemListBaseWindowRenderer.

void CEGUI::FalagardItemListbox::render | ( |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Implements CEGUI::WindowRenderer.